## org.eclipse.ocl.ecore.impl
Class ConstraintImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.ocl.ecore.impl.ConstraintImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, InternalEObject, Constraint

    public class ConstraintImpl

extends ENamedElementImpl
implements Constraint

An implementation of the model object 'Constraint'.

The following features are implemented:

- `Specification`
- `Constrained Elements`
- `Stereotype`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EList<ENamedElement>` `constrainedElements` The cached value of the '`Constrained Elements`' reference list
`protected ExpressionInOCL<EClassifier,EParameter>` `specification` The cached value of the '`Specification`' containment reference
`protected String` `stereotype` The cached value of the '`Stereotype`' attribute
`protected static String` `STEREOTYPE_EDEFAULT` The default value of the '`Stereotype`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ConstraintImpl()`

Method Summary
`NotificationChain` `basicSetSpecification(ExpressionInOCL<EClassifier,EParameter> newSpecification, NotificationChain msgs)`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EList<ENamedElement>` `getConstrainedElements()`
`ExpressionInOCL<EClassifier,EParameter>` `getSpecification()`
`String` `getStereotype()`
`void` `setSpecification(ExpressionInOCL<EClassifier,EParameter> newSpecification)`
`void` `setStereotype(String newStereotype)`
`String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eInverseAdd, eObjectForURIFragmentSegment, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### specification

    protected ExpressionInOCL<EClassifier,EParameter> specification

  The cached value of the '`Specification`' containment reference.

  See Also:
    `getSpecification()`

### constrainedElements

    protected EList<ENamedElement> constrainedElements

  The cached value of the '`Constrained Elements`' reference list.

  See Also:
    `getConstrainedElements()`

### STEREOTYPE_EDEFAULT

    protected static final String STEREOTYPE_EDEFAULT

  The default value of the '`Stereotype`' attribute.

  See Also:
    `getStereotype()`

### stereotype

    protected String stereotype

  The cached value of the '`Stereotype`' attribute.

  See Also:
    `getStereotype()`

Constructor Detail

### ConstraintImpl

    protected ConstraintImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ENamedElementImpl`

### getSpecification

    public ExpressionInOCL<EClassifier,EParameter> getSpecification()

  Specified by:
    `getSpecification` in interface `Constraint`
  Returns:
    the value of the 'Specification' containment reference.
  See Also:
    `Constraint.setSpecification(ExpressionInOCL)`, `EcorePackage.getConstraint_Specification()`

### basicSetSpecification

    public NotificationChain basicSetSpecification(ExpressionInOCL<EClassifier,EParameter> newSpecification,
                                                   NotificationChain msgs)

### setSpecification

    public void setSpecification(ExpressionInOCL<EClassifier,EParameter> newSpecification)

  Specified by:
    `setSpecification` in interface `Constraint`
  Parameters:
    `newSpecification` - the new value of the 'Specification' containment reference.
  See Also:
    `Constraint.getSpecification()`

### getConstrainedElements

    public EList<ENamedElement> getConstrainedElements()

  Specified by:
    `getConstrainedElements` in interface `Constraint`
  Returns:
    the value of the 'Constrained Elements' reference list.
  See Also:
    `EcorePackage.getConstraint_ConstrainedElements()`

### getStereotype

    public String getStereotype()

  Specified by:
    `getStereotype` in interface `Constraint`
  Returns:
    the value of the 'Stereotype' attribute.
  See Also:
    `Constraint.setStereotype(String)`, `EcorePackage.getConstraint_Stereotype()`

### setStereotype

    public void setStereotype(String newStereotype)

  Specified by:
    `setStereotype` in interface `Constraint`
  Parameters:
    `newStereotype` - the new value of the 'Stereotype' attribute.
  See Also:
    `Constraint.getStereotype()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `EModelElementImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `ENamedElementImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `ENamedElementImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `ENamedElementImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `ENamedElementImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `ENamedElementImpl`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.